body {
  margin: 0 auto;
}

/* Add animation to "page content" */

.animate-bottom {
  position: relative;
  -webkit-animation: animatebottom 1s;
  -o-animation: animatebottom 1s;
  animation: animatebottom 1s;
}

@-webkit-keyframes animatebottom {
  from {
    bottom: -100px;
    opacity: 0
  }
  to {
    bottom: 0px;
    opacity: 1
  }
}

@keyframes animatebottom {
  from {
    bottom: -100px;
    opacity: 0
  }
  to {
    bottom: 0;
    opacity: 1
  }
}

@media screen and (max-width: 672px) {
  .container {
    flex-direction: column;
  }
}

.container {
  display: flex;
  justify-content: center;
}

#mainSource {
  display: block;
  text-align: center;
  border: 2px solid #1fc8db;
  border-radius: 20px;
  width: 200px;
  height: auto;
  background-image: linear-gradient(to bottom right, #60dcd7, #1fc8db);
  color: white;
  margin: 2px;
}

.mainControl {
  padding: 10px;
  outline: none;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.mainControl input[type=text] {
  border: 3px solid #999;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  font-size: 20px;
  outline: none;
}

.mainControl input[type=text]:focus {
  border: 3px solid #333;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.mainControl button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-image: linear-gradient(to bottom right, #1fc8db, #60acd7);
  border: none;
  border-radius: 20px;
  padding: 5px;
  padding-left: 10px;
  padding-right: 10px;
  font-size: 18px;
  cursor: pointer;
  color: white;
  outline: none;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.name, .description, .weatherDeg {
  border: 2px solid white;
  border-radius: 20px;
  background: #fff;
  color: #1fc8db;
  font-size: x-large;
}

.weatherDeg {
  display: block;
}

.weatherIcon {
  display: inline;
  border: 2px solid white;
  border-radius: 20px;
  background: #fff;
  font-size: x-large;
}

#warnings {
  display: none;
  text-align: center;
  margin-top: 10px;
  -moz-border-radius: 6px;
  -webkit-border-radius: 6px;
  background-color: #f0f7fb;
  border: solid 1px #3498db;
  border-radius: 6px;
  line-height: 18px;
  overflow: hidden;
  padding: 15px 60px;
}